org.apache.maven.artifact.metadata

## Class ArtifactMetadataRetrievalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.metadata.ArtifactMetadataRetrievalException

All Implemented Interfaces:
  java.io.Serializable

    public class ArtifactMetadataRetrievalException
    extends java.lang.Exception

Error while retrieving repository metadata from the repository.

Version:
  $Id: ArtifactMetadataRetrievalException.java 588021 2007-10-24 21:02:49Z carlos $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ArtifactMetadataRetrievalException(java.lang.String message)` Deprecated. use `ArtifactMetadataRetrievalException(String, Throwable, Artifact)`
`ArtifactMetadataRetrievalException(java.lang.String message, java.lang.Throwable cause)` Deprecated. use `ArtifactMetadataRetrievalException(String, Throwable, Artifact)`
`ArtifactMetadataRetrievalException(java.lang.String message, java.lang.Throwable cause, Artifact artifact)`
`ArtifactMetadataRetrievalException(java.lang.Throwable cause)` Deprecated. use `ArtifactMetadataRetrievalException(String, Throwable, Artifact)`

### Method Summary

Methods
`Artifact` `getArtifact()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArtifactMetadataRetrievalException

    public ArtifactMetadataRetrievalException(java.lang.String message)

Deprecated. use `ArtifactMetadataRetrievalException(String, Throwable, Artifact)`

#### ArtifactMetadataRetrievalException

    public ArtifactMetadataRetrievalException(java.lang.Throwable cause)

Deprecated. use `ArtifactMetadataRetrievalException(String, Throwable, Artifact)`

#### ArtifactMetadataRetrievalException

    public ArtifactMetadataRetrievalException(java.lang.String message,
                                      java.lang.Throwable cause)

Deprecated. use `ArtifactMetadataRetrievalException(String, Throwable, Artifact)`

#### ArtifactMetadataRetrievalException

    public ArtifactMetadataRetrievalException(java.lang.String message,
                                      java.lang.Throwable cause,
                                      Artifact artifact)

### Method Detail

#### getArtifact

    public Artifact getArtifact()